Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.expr.substitution
Class DoEscapeSubstitutionVariables

    java.lang.Object
      com.servingxml.expr.substitution.DoEscapeSubstitutionVariables

All Implemented Interfaces:
  EscapeSubstitutionVariables

    public class DoEscapeSubstitutionVariables

extends java.lang.Object
implements EscapeSubstitutionVariables

Nested Class Summary

Nested classes/interfaces inherited from interface com.servingxml.expr.substitution.EscapeSubstitutionVariables
`EscapeSubstitutionVariables.DoNotEscapeSubstitutionVariables`

Field Summary

Fields inherited from interface com.servingxml.expr.substitution.EscapeSubstitutionVariables
`DO_NOT_ESCAPE`

Constructor Summary
`DoEscapeSubstitutionVariables(char character)`
`DoEscapeSubstitutionVariables(char character, java.lang.String escapeSequence)`

Method Summary
`boolean` | `doEscape()`
`java.lang.String` | `escape(java.lang.String s)`
`void` | `escape(java.lang.String input, java.lang.StringBuilder output)`
`char` | `getCharacter()`
`java.lang.String` | `getEscapeSequence()`
`boolean` | `mustEscape(char ch)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DoEscapeSubstitutionVariables

    public DoEscapeSubstitutionVariables(char character,
                                         java.lang.String escapeSequence)

### DoEscapeSubstitutionVariables

    public DoEscapeSubstitutionVariables(char character)

Method Detail

### getCharacter

    public char getCharacter()

  Specified by:
    `getCharacter` in interface `EscapeSubstitutionVariables`

### getEscapeSequence

    public java.lang.String getEscapeSequence()

  Specified by:
    `getEscapeSequence` in interface `EscapeSubstitutionVariables`

### mustEscape

    public boolean mustEscape(char ch)

  Specified by:
    `mustEscape` in interface `EscapeSubstitutionVariables`

### escape

    public java.lang.String escape(java.lang.String s)

  Specified by:
    `escape` in interface `EscapeSubstitutionVariables`

### escape

    public void escape(java.lang.String input,
                       java.lang.StringBuilder output)

  Specified by:
    `escape` in interface `EscapeSubstitutionVariables`

### doEscape

    public boolean doEscape()

  Specified by:
    `doEscape` in interface `EscapeSubstitutionVariables`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD